System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

unable to install the patch, it asking depencies again and again

 
Super Advisor

unable to install the patch, it asking depencies again and again

$yum install httpd-2.4.4-6.fc19.x86_64.rpm
Loaded plugins: langpacks, refresh-packagekit
Examining httpd-2.4.4-6.fc19.x86_64.rpm: httpd-2.4.4-6.fc19.x86_64
Marking httpd-2.4.4-6.fc19.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package httpd.x86_64 0:2.4.4-6.fc19 will be installed
--> Processing Dependency: httpd-tools = 2.4.4-6.fc19 for package: httpd-2.4.4-6.fc19.x86_64
Error: Cannot retrieve metalink for repository: fedora/19/x86_64. Please verify its path and try again

 

when i install the apache, it asking the depencies again and again, please advise how to install the rpm files

1 REPLY 1
Highlighted
Honored Contributor

Re: unable to install the patch, it asking depencies again and again

Your httpd RPM (version 2.4.4-6.fc19) requires the httpd-tools RPM (with the same version) to work.

 

In your /etc/yum.repos.d directory, you have one or more files. Those files will contain URLs pointing to package repositories, where yum can fetch the packages it needs.

 

In your system, either those files in /etc/yum.repos.d have wrong information, or the repositories those files are pointing at are broken or unreachable.

 

Please run:

grep -l fedora/19/x86_64 /etc/yum.repos.d/*

 It should display the name(s) of one or more files. Please show all the contents of the listed file(s).

 

 

--------------

In general, each RPM will be identified by one or more "provides" keywords. Other RPM packages may require that a package identified with a particular keyword is installed first.

 

 You can see those keywords with:

rpm -q --provides -p package-name-version.rpm

rpm -q --requires -p package-name-version.rpm

 You can also query the same information from already-installed packages, if you omit the -p option, and use the name of the installed package without the .rpm suffix.

 

Dealing with the RPM dependencies manually is very boring, and that is exactly why more advanced tools like "yum" were developed. Package management tools like "yum" will automatically figure out the dependencies, and can even automatically download the needed packages from a remote package repository.

 

A RPM package repository for yum is not just a directory with some RPM files in it. It also needs a "repodata" sub-directory with some metadata files, to allow yum to quickly find out the dependencies before downloading the actual packages. You can create your own package repository by using the "createrepo" command. If you add new RPM packages to the repository, you must update the metadata too (by running the createrepo command again), or else your repository will be broken.

 

A copy of the installation DVD is a special case of a RPM package repository: the installation media already includes a repodata sub-directory with all the necessary metadata. As long as the copy of the installation DVD is not modified, it is directly useable as a package repository, without using the "createrepo" command on it.

MK